/* Dave Pallot */
/* pallot@iinet.net.au */
/* Copyright 2000 */

#ifndef MUTEX_H
#define MUTEX_H

#include <windows.h>

class Mutex 
{
public:    
    Mutex();
    virtual ~Mutex();

public:
    inline void get() { if (m_mutex != NULL) ::WaitForSingleObject(m_mutex, INFINITE); }
    inline void release() { if (m_mutex != NULL) ::ReleaseMutex(m_mutex); }

private:
	HANDLE m_mutex;
};
#endif //MUTEX_H